Problems upgrading from ServeRAID version 4.84 or lower - IBM xSeries



Source

RETAIN tip: H182630

Symptom

The following error code is seen when upgrading the firmware on some ServeRAID controllers: EC: 04h-46h. The ServeRAID card fails to be flashed to version 7.10 or higher of the code.  

Affected configurations

The system is configured with one or more of the following options:  

  • PC ServeRAID SCSI adapter, option part number 70G8489, replacement part number (FRU) 06H9334
  • ServeRAID II Ultra SCSI adapter, option part number 76H3584, replacement part number (FRU) 76H3587
  • Netfinity ServeRAID-3H Ultra2 SCSI adapter, option part number 01K7207, replacement part number (FRU) 01K7396
  • Netfinity ServeRAID-3HB Ultra2 SCSI adapter, option part number 37L6086, replacement part number (FRU) 01K7396 (adapter), replacement part number (FRU) 09L2105 (cache)
  • ServeRAID-3H Battery Backup cache, option part number 28L1003, replacement part number (FRU) 09L2105
  • Netfinity ServeRAID-3L Ultra2 SCSI adapter, option part number 01K7364, replacement part number (FRU) 01K7352
  • Netfinity ServeRAID-4H Ultra160 SCSI controller, option part number 37L6889, replacement part number (FRU) 37L6892 (controller), replacement part number (FRU) 37L6902 (cache daughter card), replacement part number (FRU) 37L6903 (cache battery)
  • Netfinity ServeRAID-4L Ultra160 SCSI controller, option part number 37L6091, replacement part number (FRU) 09N9540
  • Netfinity ServeRAID-4M Ultra160 SCSI controller, option part number 37L6080, replacement part number (FRU) 37L7258
  • Netfinity ServeRAID-4M Ultra160 SCSI controller (Japan), option part number 19K0565, replacement part number (FRU) 00N9543 (Japan)
  • ServeRAID-4Lx Ultra160 SCSI controller, option part number 06P5740, replacement part number (FRU) 06P5741
  • ServeRAID-4Mx Ultra160 SCSI controller, option part number 06P5736, replacement part number (FRU) 06P5737

Solution

There is no solution. This is a system limitation.  

Workaround

Flash the affected ServeRAID controllers to an intermediate level before upgrading to version 7.10. Any ServeRAID version equal to or higher than 5.10 will work. ServeRAID code can be found on the IBM ServeRAID software matrix.  

Additional information

The actual flash procedure is performed by the currently installed code. Each installed code sets a limit on the amount of code that can be flashed. ServeRAID version 7.10 surpasses the limit set by version 4.84. The limit was increased with versions 5.10 and forward.

 

Applicable countries and regions

 


Document id:  MIGR-57003
Last modified:  2010-02-19
Copyright © 2014 IBM Corporation